Subject: bug#32677: Installation of guile-debbugs fails

From: Ricardo Wurmus <[email-masked]>
Date: Tue, 16 Oct 2018 21:13:14 +0200

Arun Isaac <[email-masked]> writes:

>> --8<---------------cut here---------------start------------->8---
>> detlef:~/src/guile-debbugs> ./configure
>> checking for a BSD-compatible install... /usr/bin/install -c
>> checking whether build environment is sane... yes
>> checking for a thread-safe mkdir -p... /bin/mkdir -p
>> checking for gawk... gawk
>> checking whether make sets $(MAKE)... yes
>> checking whether make supports nested variables... yes
>> checking whether make supports nested variables... (cached) yes
>> ./configure: line 2364: syntax error near unexpected token `2.2'
>> ./configure: line 2364: `GUILE_PKG(2.2)'
>> --8<---------------cut here---------------end--------------->8---
>
> A minor update. I was able to reproduce this problem in a Guix
> environment. If I install guile in the environment, this problem does
> not manifest. If I don't have guile in the environment, this problem
> manifests.
>
> In other words, with
>
> guix environment --ad-hoc guile autoconf automake pkg-config
>
> this problem does not manifest. But, with
>
> guix environment --ad-hoc autoconf automake pkg-config
>
> this problem manifests. I have no idea why this is the case, but perhaps
> this could be a lead worth investigating.

The macros (such as GUILE_PKK) are provided by the Guile package, so I
think that’s expected.

--
Ricardo